/**
* ----------------------------------------------
* Demo styles
* ----------------------------------------------
**/
.accordion {
  border-radius: 2px;
}

.accordion__button {
  cursor: pointer;
  padding: 18px;
  width: 100%;
  text-align: center;
}

.accordion__button:hover {
  background-color: #ffc107;
  width: 50%;
}

.accordion__button:before {
  display: inline-block;
  content: "";
  height: 10px;
  width: 10px;
  border-bottom: 2px solid currentColor;
  border-right: 2px solid currentColor;
  transform: rotate(-45deg);
}

.accordion__button[aria-expanded="true"]::before,
.accordion__button[aria-selected="true"]::before {
  transform: rotate(45deg);
}

.accordion__panel {
  padding: 20px;
  background-color: white;
  animation: fadein 0.35s ease-in;
}

/* -------------------------------------------------- */
/* ---------------- Animation part ------------------ */
/* -------------------------------------------------- */

@keyframes fadein {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}
